scala.collection

# interfaces

#### package interfaces

Visibility

1. Public
2. All

### Type Members

1. #### trait IterableMethods[+A, +This <: IterableLike[A, This] with Iterable[A]] extends TraversableMethods[A, This]

2. #### trait MapMethods[A, +B, +This <: MapLike[A, B, This] with Map[A, B]] extends IterableMethods[(A, B), This] with SubtractableMethods[A, This]

3. #### trait SeqMethods[+A, +This <: SeqLike[A, This] with Seq[A]] extends IterableMethods[A, This]

4. #### trait SetMethods[A, +This <: SetLike[A, This] with Set[A]] extends IterableMethods[A, This] with SubtractableMethods[A, This]

5. #### trait SubtractableMethods[A, +This <: Subtractable[A, This]] extends AnyRef

6. #### trait TraversableMethods[+A, +This <: TraversableLike[A, This]] extends TraversableOnceMethods[A]

7. #### trait TraversableOnceMethods[+A] extends AnyRef